import { IgcHTMLElement } from "./igc-html-element";
export declare class IgcPortalItemComponent extends IgcHTMLElement {
    private static _nextPortalId;
    private _portalId;
    get portalId(): number;
    constructor();
    connectedCallback(): void;
}
export declare class IgcPortalEntranceComponent extends IgcHTMLElement {
    private _detach;
    private _observer;
    get portalId(): string;
    set portalId(value: string);
    get useShadowMode(): boolean;
    set useShadowMode(value: boolean);
    get moveOnceMode(): boolean;
    set moveOnceMode(value: boolean);
    connectedCallback(): void;
    private _suspendChangeDetection;
    private _itemContent;
    private getPortalContent;
    ensurePortalUpdated(): void;
    disconnectedCallback(): void;
    private onPortalMessage;
}
export declare class IgcPortalExitComponent extends IgcHTMLElement {
    private _detach;
    get portalId(): string;
    set portalId(value: string);
    get useShadowMode(): boolean;
    set useShadowMode(value: boolean);
    get useParentAsTarget(): boolean;
    set useParentAsTarget(value: boolean);
    get moveOnceMode(): boolean;
    set moveOnceMode(value: boolean);
    connectedCallback(): void;
    disconnectedCallback(): void;
    private onPortalMessage;
    private onSlotContentChanging;
}
export declare class IgcPortalModule {
    static register(): void;
}
